# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMakeImage

Function

Creates a new empty image Field.

Syntax
`
#include <dx/dx.h>
`

Field DXMakeImage(int width, int height)

Functional Details

Simplifies creating a Field that represents an image of the specified `width` and `height`.

An image Field is a regular 2-dimensional grid of "positions" and "connections," with a "colors" component that is floating-point, 3-vector. The sign of the deltas of the "positions" component determines the orientation of the image. This routine creates each of these components, adds them to a Field, and returns the Field.

The Field created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the image or returns `NULL` and sets an error code.

See Also

`DXGetImageSize, DXGetImageBounds, DXGetPixels`

16.9 , "Image Fields".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]